/*

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                Arlips compiler v. 3.1           %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

File conjunto.c sets functions
April 2006

Copyright (C) 2006 Emilio Vivancos Rubio

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%                              Contact                          %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

Author:              Emilio Vivancos Rubio  vivancos@dsic.upv.es
Developer Arlips v2: Mario Gonzlez Gimnez mgonzale@dsic.upv.es
Developer Arlips v3: Carlos Garca Montoro  cargarcia@dsic.upv.es

Departamento de Sistemas Informticos y Computacin
Universidad Politcnica de Valencia
Camino de Vera s/n
46022 Valencia
Spain

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

*/


/********************  OPERACIONES CON CONJUNTOS   **************************/

#include "conjunto.h"

#define TRUE 1
#define FALSE 0

int pertenece(elem,cto)
int elem;
char cto[];
{
   /*  nos dice si 'elem' pertenece al conjunto 'cto' */

   int i=0;
   char encontrado=FALSE;

   while((cto[i]!=elem) && (cto[i]!=0)) i++;
   if(cto[i]!=0) encontrado=TRUE;
   return(encontrado);
}
 
void conjunion(cto1,cto2,cto3)
char cto1[];
char cto2[];
char cto3[];
{
    /* realiza la operacion:   */
    /* cto3 := cto1 U cto2     */

 int i,j;

 i=0;
 while(cto1[i]!=0)
  {
   cto3[i]=cto1[i];
   i++;
  }
 j=0;
 while(cto2[j]!=0)
  {
   cto3[i]=cto2[j];
   i++; j++;
  }
 cto3[i]=0;


}
/****************************************************************************/
